# $Id: kernel-modules-sdricoh_cs.spec,v 1.4 2007/11/13 11:12:58 vsu Exp $

%define module_name	sdricoh_cs
%define module_release	alt1
%define module_version	0.1.1

%define kversion	2.6.18
%define krelease	alt24
%define flavour		ovz-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	Linux %{module_name} kernel modules for Ricoh Bay1Controllers
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.132626.24
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://sdricohcs.sourceforge.net
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86 x86_64

%description
sdricoh_cs is a driver for the Secure Digital and MMC Card Readers that
can be found in some notebooks like the Samsung P35.

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make \
%ifarch %ix86
CC="gcc-$GCC_VERSION -m32" \
%else
CC="gcc-$GCC_VERSION" \
%endif
KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour/

%install
%__mkdir -p %buildroot%module_dir
%__cp -a *.ko %buildroot%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Tue May 06 2008 Michail Yakushin <silicium@altlinux.ru> 0.1.1-alt1.132626.24
- Build for kernel-image-ovz-smp-2.6.18-alt24.

* Sun Aug 12 2007 L.A. Kostis <lakostis@altlinux.ru> 0.1.1-alt1
- initial build for ALTLinux.


